- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# osgSim::ScalarsToColors Class Reference

ScalarsToColors defines the interface to map a scalar value to a color, and provides a default implementation of the mapping functionaltity, with colors ranging from black to white across the min - max scalar range. More...

Inheritance diagram for osgSim::ScalarsToColors:

[legend]
List of all members.

## Public Member Functions
| ScalarsToColors (float scalarMin, float scalarMax)
virtual | ~ScalarsToColors ()
virtual osg::Vec4 | getColor (float scalar) const
| Get the color for a given scalar value.
float | getMin () const
| Get the minimum scalar value.
float | getMax () const
| Get the maximum scalar value.

## Detailed Description

ScalarsToColors defines the interface to map a scalar value to a color, and provides a default implementation of the mapping functionaltity, with colors ranging from black to white across the min - max scalar range.

## Constructor & Destructor Documentation

ScalarsToColors::ScalarsToColors | ( | float | scalarMin,
|  | float | scalarMax
| ) |

virtual osgSim::ScalarsToColors::~ScalarsToColors | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

osg::Vec4 ScalarsToColors::getColor | ( | float | scalar | ) | const`[virtual]`

| Get the color for a given scalar value. Reimplemented in osgSim::ColorRange.

float ScalarsToColors::getMax | ( |  | ) | const

| Get the maximum scalar value.

float ScalarsToColors::getMin | ( |  | ) | const

| Get the minimum scalar value.

The documentation for this class was generated from the following files:

- ScalarsToColors
- ScalarsToColors.cpp